dvb-v5-std.h File Reference
Digital TV frontend control

Provides libdvbv5 defined properties for the frontend. More...

`#include <stddef.h>`
`#include "dvb-frontend.h"`

Go to the source code of this file.

## Macros

#define | DTV_USER_COMMAND_START
| Start number for libdvbv5 user commands.
#define | DTV_POLARIZATION
| Satellite polarization (for Satellite delivery systems).
#define | DTV_VIDEO_PID
| Video PID.
#define | DTV_AUDIO_PID
| Audio PID.
#define | DTV_SERVICE_ID
| MPEG TS service ID.
#define | DTV_CH_NAME
| Digital TV service name.
#define | DTV_VCHANNEL
| Digital TV channel number.
#define | DTV_SAT_NUMBER
| Number of the satellite (used on multi-dish Satellite systems).
#define | DTV_DISEQC_WAIT
| Extra time needed to wait for DiSeqC to complete, in ms.
#define | DTV_DISEQC_LNB
| LNBf name.
#define | DTV_FREQ_BPF
| SCR/Unicable band-pass filter frequency in kHz.
#define | DTV_PLS_CODE
| DVB-T2 PLS code.
#define | DTV_PLS_MODE
| DVB-T2 PLS mode.
#define | DTV_COUNTRY_CODE
| Country variant of international delivery system standard.
#define | DTV_MAX_USER_COMMAND
| Last user command.
#define | DTV_USER_NAME_SIZE
| Number of user commands.
#define | DTV_STAT_COMMAND_START
| Start number for libdvbv5 statistics commands.
#define | DTV_STATUS
| Lock status of a DTV frontend.
#define | DTV_BER
| Bit Error Rate.
#define | DTV_PER
| Packet Error Rate.
#define | DTV_QUALITY
| A quality indicator that represents if a locked channel provides a good, OK or poor signal.
#define | DTV_PRE_BER
| Bit Error Rate before Viterbi.
#define | DTV_MAX_STAT_COMMAND
| Last statistics command.
#define | DTV_STAT_NAME_SIZE
| Number of statistics commands.
#define | DTV_NUM_KERNEL_STATS
| Number of statistics commands provided by the Kernel.
#define | DTV_NUM_STATS_PROPS
| Total number of statistics commands.

## Enumerations

enum | dvb_sat_polarization { POLARIZATION_OFF , POLARIZATION_H , POLARIZATION_V , POLARIZATION_L , POLARIZATION_R }
| Polarization types for Satellite systems. More...
enum | dvb_quality { DVB_QUAL_UNKNOWN , DVB_QUAL_POOR , DVB_QUAL_OK , DVB_QUAL_GOOD }
| Provides an estimation about the user's experience while watching to a given MPEG stream. More...

## Detailed Description

Provides libdvbv5 defined properties for the frontend.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file dvb-v5-std.h.